{
  "name": "@itentialopensource/adapter-mockdevice",
  "version": "2.1.4",
  "description": "mock implementation of device broker",
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:itentialopensource/adapters/adapter-mockdevice.git"
  },
  "author": "Itential",
  "homepage": "https://gitlab.com/itentialopensource/adapters/adapter-mockdevice#readme",
  "main": "adapter.js",
  "engines": {
    "node": ">=16.2.0 <17.0.0",
    "npm": ">=7.18.1 <8.0.0"
  },
  "scripts": {
    "artifactize": "npm i && node utils/packModificationScript.js",
    "preinstall": "node utils/setup.js",
    "deinstall": "node utils/removeHooks.js",
    "lint": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js",
    "test:integration": "mocha test/integration/adapterTestIntegration.js --LOG=error",
    "lint:errors": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js --quiet",
    "test:unit": "mocha test/unit/adapterTestUnit.js --LOG=error",
    "test:cover": "nyc --reporter html --reporter text mocha --reporter dot test/*",
    "test": "npm run test:unit",
    "deploy": "npm publish --registry=https://registry.npmjs.org --access=public",
    "build": "npm run deploy"
  },
  "keywords": [
    "Itential",
    "IAP",
    "Automation",
    "Integration",
    "App-Artifacts",
    "Adapter",
    "mockdevice",
    "Pre-Release"
  ],
  "dependencies": {
    "ajv": "^8.17.1",
    "axios": "^1.7.9",
    "esprima": "^4.0.1",
    "fs-extra": "^11.2.0",
    "readline-sync": "^1.4.10",
    "semver": "^7.6.3"
  },
  "devDependencies": {
    "chai": "^4.3.7",
    "eslint": "^8.44.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-json": "^3.1.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-prettier": "^8.1.0",
    "eslint-plugin-jsdoc": "^50.2.4",
    "eslint-plugin-mocha": "^8.1.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-yaml": "^0.4.1",
    "husky": "^4.3.8",
    "jsdoc": "^4.0.2",
    "lint-staged": "^10.5.4",
    "minami": "^1.2.3",
    "mocha": "^10.7.3",
    "mochawesome": "^7.1.3",
    "nyc": "^15.1.0",
    "prettier": "^2.2.1",
    "prettier-plugin-package": "^1.3.0",
    "pretty-quick": "^3.1.0",
    "shellcheck": "^1.0.0",
    "testdouble": "^3.18.0",
    "winston": "^3.14.2"
  },
  "lint-staged": {
    "*.{js,json,jsx,yaml,yml,md}": [
      "./node_modules/.bin/eslint --fix"
    ]
  },
  "resolutions": {
    "minimist": "^1.2.8"
  },
  "private": false
}
